/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created at: 18.11.2016
    For Rule table
*/

/**
* Common for Rule TABLE and TD
*/
table.table-rule {
    width: 100%;
    max-width: 1600px;
    border-collapse: separate;
    border: 0px solid #FF8754;
    border-radius: 5px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    font: normal small/2 sans-serif;
}
table.table-rule td {
    border: 0px solid #FF8754;
    padding: 1px;
}

/**
* Common for Rule IMGCLICK
*/
table.table-rule td.imgclick {
    cursor: pointer;
    border-radius: 5px;
}
table.table-rule td.imgclick-lightgrey {
    background: #F4F5F9;
}
table.table-rule td.imgclick-center {
    border-radius: 0px;
}
table.table-rule td.imgclick-right {
    border-radius: 0 5px 5px 0;
}
table.table-rule td.imgclick-left {
    border-radius: 5px 0 0 5px;
}
table.table-rule td.symbol1 {
    width: 30px;
    vertical-align: top;
    text-align: center;
}
table.table-rule td.last {
    width: auto;
}
table.table-rule td.acc {
    width: auto;
    overflow: hidden; /* fixed cell width */
    white-space: nowrap; /* fixed cell width */
    text-overflow: ellipsis; /* fixed cell width */
}


/**
* Common for Rule
*/
table.table-rule-comm {
    background: #EAEBEF;
    margin: 7px 0px; /* space between block of rule */
}
table.table-rule-comm-red {
    border: 1px solid lightcoral;
}
table.table-rule-comm-a2 {
    border: 1px solid #eacd86;
}

/**
* Common for Rule EDIT
*/
table.table-rule-comm-edit {
    background: #FFE173;
    margin: 7px 0px; /* space between block of rule */
}
table.table-rule-comm-edit td {
    border: 0px solid #FA8754; /* border to debug */
    /*padding: 2px;*/
}


/**
* Table Rule single
*/
table.table-rule-single {
  background: #EAEBEF;
  table-layout: fixed; /* fixed cell width */
}
table.table-rule-single td {
    border: 0px solid #38678f;
    padding: 0 5px;
}

/**
* Table Rule Question Answer
*/
table.table-rule-qa {
  background: #F4F5F9;
  table-layout: fixed; /* fixed cell width */
}
table.table-rule-qa td {
    border: 0px solid #38678f;/*#ccc;*/
    /*test markup*/
    /*border: 2px solid #38678f !important;*/
    padding: 0px 5px 0px;
}
table.table-rule-qa td.answattr_1 {
    width: 12%;
    min-width: 120px;
    height: 20px;
    vertical-align: top;
    overflow: hidden; /* fixed cell width */
    white-space: nowrap; /* fixed cell width */
    text-overflow: ellipsis; /* fixed cell width */
}
.answattr_11{
    width: 20%;
}
table.table-rule-qa td.answattr_2 {
    width: 12%;
    min-width: 120px;
    vertical-align: top;
    overflow: hidden; /* fixed cell width */
    white-space: nowrap; /* fixed cell width */
    text-overflow: ellipsis; /* fixed cell width */
}
.answattr_21{
    width: 20%;
    vertical-align: top;
    overflow: hidden; /* fixed cell width */
    white-space: nowrap; /* fixed cell width */
    text-overflow: ellipsis; /* fixed cell width */
}
table.table-rule-qa td.answer {
    vertical-align: top;
}
table.table-rule-qa td.symbol2 {
    width: 15px;
    vertical-align: top;
    /*text-align: right;*/
    padding: 0px 0px 0px 20px;
}

/**
*/
#grad1 {
    height: 2px;
    background: -webkit-linear-gradient(#EAEBEF, #EDEEF2, #EAEBEF); /* For Safari 5.1 to 6.0 */
    background: -o-linear-gradient(#EAEBEF, #EDEEF2, #EAEBEF); /* For Opera 11.1 to 12.0 */
    background: -moz-linear-gradient(#EAEBEF, #EDEEF2, #EAEBEF); /* For Firefox 3.6 to 15 */
    background: linear-gradient(#EAEBEF, #EDEEF2, #EAEBEF); /* Standard syntax (must be last) */
}

#grad2 {
    height: 2px;
    background: -webkit-linear-gradient(#EAEBEF, #EDEEF2, #EAEBEF); /* For Safari 5.1 to 6.0 */
    background: -o-linear-gradient(#EAEBEF, #EDEEF2, #EAEBEF); /* For Opera 11.1 to 12.0 */
    background: -moz-linear-gradient(#EAEBEF, #EDEEF2, #EAEBEF); /* For Firefox 3.6 to 15 */
    background: linear-gradient(#EAEBEF, #EDEEF2, #EAEBEF); /* Standard syntax (must be last) */
}

p.text-rule {
    margin-left: 20px;
    color: #e17009;
    font-size: small;
}